API Reference
Void a refund
POST
/refunds/voidQuery Parameters
idstring(optional)ID of the refund
referencestring(optional)Reference of the refund
Request
curl
curl https://gateway.pmnts-sandbox.io/v1.0/refunds/void?id=071-R-PKC3V565 -X POST -u TEST:TESTResponse
200Result
json
{
"successful":true,
"response":{
"authorization":"1531280232",
"id":"071-R-PKC3V565",
"amount":1,
"refunded":"Voided",
"message":"Voided",
"card_holder":"Card holder name",
"card_number":"512345XXXXXX2346",
"card_expiry":"2023-05-31",
"card_type":"MasterCard",
"transaction_id":"071-R-PKC3V565",
"reference":"xxxxx",
"currency":"AUD",
"successful":false,
"transaction_date":"2018-07-11T13:37:12+10:00",
"response_code":"00",
"settlement_date":"2018-07-12",
"metadata":{},
"standalone":false,
"rrn":"071RPKC3V565"
},
"errors":[],
"test":true
}404Result
json
{
"successful":false,
"response":{},
"errors":[
"Could not find Refund"
],
"test":true
}